Loading...
Searching...
No Matches
juce::AudioProcessorParameterGroup::AudioProcessorParameterNode Class Reference

## Detailed Description

A child of an AudioProcessorParameterGroup.

This can contain either an AudioProcessorParameter or an AudioProcessorParameterGroup. You can query which using the getParameter and getGroup methods.

for (auto* child : group)
if (auto* parameter = node.getParameter())
parameter->setValueNotifyingHost (0.5f);
else
node.getGroup()->AddChild (new Parameter());

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessorParameterGroup.h

## Public Member Functions

| AudioProcessorParameterNode (AudioProcessorParameterNode &&)
| ~AudioProcessorParameterNode ()
AudioProcessorParameterGroup * | getParent () const
| Returns the parent group or nullptr if this is a top-level group.
AudioProcessorParameter * | getParameter () const
| Returns a pointer to a parameter if this node contains a parameter, nullptr otherwise.
AudioProcessorParameterGroup * | getGroup () const
| Returns a pointer to a group if this node contains a group, nullptr otherwise.

## Constructors and Destructors

## AudioProcessorParameterNode()

juce::AudioProcessorParameterGroup::AudioProcessorParameterNode::AudioProcessorParameterNode | ( | AudioProcessorParameterNode && |  | ) |

References AudioProcessorParameterNode().

Referenced by AudioProcessorParameterGroup, AudioProcessorParameterNode(), and getGroup().

## ~AudioProcessorParameterNode()

juce::AudioProcessorParameterGroup::AudioProcessorParameterNode::~AudioProcessorParameterNode | ( |  | ) |

## Member Functions

## getParent()

AudioProcessorParameterGroup * juce::AudioProcessorParameterGroup::AudioProcessorParameterNode::getParent | ( |  | ) | const

Returns the parent group or nullptr if this is a top-level group.

References AudioProcessorParameterGroup.

## getParameter()

AudioProcessorParameter * juce::AudioProcessorParameterGroup::AudioProcessorParameterNode::getParameter | ( |  | ) | const

Returns a pointer to a parameter if this node contains a parameter, nullptr otherwise.

## getGroup()

AudioProcessorParameterGroup * juce::AudioProcessorParameterGroup::AudioProcessorParameterNode::getGroup | ( |  | ) | const

Returns a pointer to a group if this node contains a group, nullptr otherwise.

References AudioProcessorParameterGroup, and AudioProcessorParameterNode().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited